import { GetMeshSourceOptions, MeshHandler, MeshSource, YamlConfig } from '@graphql-mesh/types';
import { OpenAPILoaderBundle } from '@omnigraph/openapi';
export default class OpenAPIHandler implements MeshHandler {
    private name;
    private config;
    private bundleStoreProxy;
    private baseDir;
    private logger;
    private fetch;
    private pubsub;
    private importFn;
    constructor({ name, config, baseDir, fetchFn, store, pubsub, logger, importFn, }: GetMeshSourceOptions<YamlConfig.NewOpenapiHandler>);
    getDereferencedBundle(): Promise<OpenAPILoaderBundle>;
    getMeshSource(): Promise<MeshSource>;
}
